package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("修改叫号订单状态")
public class OrdCallUpdateDTO {
   @ApiModelProperty("3.制作中 8.制作完成（待领取）11.已完成（已领取）")
   private @NotNull(
   message = "要修改的订单砖头"
) Integer ordState;
   private @NotNull(
   message = "要修改的订单号不能为空"
) Long ordId;
   private String machineSn;
   private String authCode;

   public Integer getOrdState() {
      return this.ordState;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

}
